petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMDACreate

Creates a DMDA object.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDACreate(MPI_Comm comm, DM *da)

Collective on MPI_Comm

### Input Parameter

comm -The communicator for the DMDA object

### Output Parameter

da -The DMDA object

Developers Note: Since there exists DMDACreate1/2/3d() should this routine even exist?

### Keywords

DMDA, create

### See Also

DMDASetSizes(), DMDADuplicate(), DMDACreate1d(), DMDACreate2d(), DMDACreate3d()

Level:advanced
Location:src/dm/impls/da/dacreate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages